/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999, 2000  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*********************
**********************  Includes
*********************/

#include <config.h>

#include <stdlib.h>
#include <string.h>

#include <glib.h>
#include <libgnome/gnome-defs.h>
#include <libgnome/gnome-i18n.h>

#include "debug.h"
#include "message-send.h"
#include "task-send.h"

/*********************
**********************  Defines / Enumerated types
*********************/

/*********************
**********************  Macros
*********************/

/*********************
**********************  Structures / Typedefs
*********************/

/*********************
**********************  Private Function Prototypes
*********************/

static gint task_send_run (Task* item);

static gchar* task_send_describe (const StatusItem* item);

/*********************
**********************  Variables
*********************/

/***********
************  Extern
***********/

/***********
************  Public
***********/

/***********
************  Private
***********/

/*********************
**********************  BEGINNING OF SOURCE
*********************/

/************
*************  PUBLIC ROUTINES
************/

/*****
******
*****/

PanObject*
task_send_new (Server *sdata, Message *msg)
{
	TaskSend *item = g_new0 (TaskSend, 1);

	task_constructor (TASK(item),
		task_destructor,
		task_send_describe,
		task_send_run, sdata, TRUE, TRUE);

	item->smtp_socket = NULL;
	item->msg = msg;

	return PAN_OBJECT(item);
}

/*****
******
*****/

static gchar*
task_send_describe (const StatusItem* item)
{
	return g_strdup (_("Sending Message"));
}


static gint
task_send_run (Task* item)
{
	return message_send (
		STATUS_ITEM(item),
		TASK(item)->sock, 
		TASK_SEND(item)->msg);
}
